config/routes.rb
Rails.application.routes.draw do
  resources :comments
  resources :tasks
  resources :projects
  resources :students
  resources :teachers
  resources :appoitments
  resources :patients
  resources :doctors
  #get 'movies/index'
  resources :movies
  resources :books
  resources :authors
  resources :employees
  root "authors#index"
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/appoitment.rb
class Appoitment < ApplicationRecord
  belongs_to :doctor
  belongs_to :patient
end

app/models/author.rb
class Author < ApplicationRecord
	has_many :books
end

app/models/book.rb
class Book < ApplicationRecord
  belongs_to :author
end

app/models/comment.rb
class Comment < ApplicationRecord
  belongs_to :commentable, polymorphic: true
end

app/models/doctor.rb
class Doctor < ApplicationRecord
	has_many :appoitments
	has_many :patients,through: :appoitments
end

app/models/employee.rb
class Employee < ApplicationRecord
end

app/models/movie.rb
class Movie < ApplicationRecord
end

app/models/patient.rb
class Patient < ApplicationRecord
	has_many :appoitments
	has_many :doctors,through: :appoitments
end

app/models/project.rb
class Project < ApplicationRecord
	has_many :comments, as: :commentable
end

app/models/student.rb
class Student < ApplicationRecord
	has_and_belongs_to_many :teachers
end

app/models/task.rb
class Task < ApplicationRecord
	has_many :comments, as: :commentable
end

app/models/teacher.rb
class Teacher < ApplicationRecord
	has_and_belongs_to_many :students
end

app/controllers/employees_controller.rb
class EmployeesController < ApplicationController
  before_action :set_employee, only: [:show, :edit, :update, :destroy]

  # GET /employees
  # GET /employees.json
  def index
    @employees = Employee.all
  end

  # GET /employees/1
  # GET /employees/1.json
  def show
  end

  # GET /employees/new
  def new
    @employee = Employee.new
  end

  # GET /employees/1/edit
  def edit
  end

  # POST /employees
  # POST /employees.json
  def create
    @employee = Employee.new(employee_params)

    respond_to do |format|
      if @employee.save
        format.html { redirect_to @employee, notice: 'Employee was successfully created.' }
        format.json { render :show, status: :created, location: @employee }
      else
        format.html { render :new }
        format.json { render json: @employee.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /employees/1
  # PATCH/PUT /employees/1.json
  def update
    respond_to do |format|
      if @employee.update(employee_params)
        format.html { redirect_to @employee, notice: 'Employee was successfully updated.' }
        format.json { render :show, status: :ok, location: @employee }
      else
        format.html { render :edit }
        format.json { render json: @employee.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /employees/1
  # DELETE /employees/1.json
  def destroy
    @employee.destroy
    respond_to do |format|
      format.html { redirect_to employees_url, notice: 'Employee was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_employee
      @employee = Employee.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def employee_params
      params.require(:employee).permit(:name, :dob, :address)
    end
end

app/helpers/authors_helper.rb
module AuthorsHelper
end

app/helpers/books_helper.rb
module BooksHelper
end

app/helpers/comments_helper.rb
module CommentsHelper
end

app/helpers/doctors_helper.rb
module DoctorsHelper
end

app/helpers/employees_helper.rb
module EmployeesHelper
end

app/helpers/movies_helper.rb
module MoviesHelper
end

app/helpers/patients_helper.rb
module PatientsHelper
end

app/helpers/projects_helper.rb
module ProjectsHelper
end

app/helpers/students_helper.rb
module StudentsHelper
end

app/helpers/tasks_helper.rb
module TasksHelper
end

app/views/employees/_form.html.erb
<%= form_with(model: employee, local: true) do |form| %>
  <% if employee.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(employee.errors.count, "error") %> prohibited this employee from being saved:</h2>

      <ul>
      <% employee.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name, id: :employee_name %>
  </div>

  <div class="field">
    <%= form.label :dob %>
    <%= form.text_field :dob, id: :employee_dob %>
  </div>

  <div class="field">
    <%= form.label :address %>
    <%= form.text_area :address, id: :employee_address %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/employees/edit.html.erb
<h1>Editing Employee</h1>

<%= render 'form', employee: @employee %>

<%= link_to 'Show', @employee %> |
<%= link_to 'Back', employees_path %>

app/views/employees/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Employees</h1>

<table class="table">
  <thead>
    <tr>
      <th>Name</th>
      <th>Dob</th>
      <th>Address</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @employees.each do |employee| %>
      <tr>
        <td><%= employee.name %></td>
        <td><%= employee.dob %></td>
        <td><%= employee.address %></td>
        <td><%= link_to 'Show', employee %></td>
        <td><%= link_to 'Edit', edit_employee_path(employee) %></td>
        <td><%= link_to 'Destroy', employee, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Employee', new_employee_path %>

app/views/employees/new.html.erb
<h1>New Employee</h1>

<%= render 'form', employee: @employee %>

<%= link_to 'Back', employees_path %>

app/views/employees/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @employee.name %>
</p>

<p>
  <strong>Dob:</strong>
  <%= @employee.dob %>
</p>

<p>
  <strong>Address:</strong>
  <%= @employee.address %>
</p>

<%= link_to 'Edit', edit_employee_path(@employee) %> |
<%= link_to 'Back', employees_path %>